For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Attribute Values
                • PUTUpsert Customer Attribute Values
                • DELDelete Customer Attribute Values
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Attribute Values

List Customer Attribute Values

GET
https://api.bigcommerce.com/stores/:store_hash/v3/customers/attribute-values
GET
/stores/:store_hash/v3/customers/attribute-values
$curl https://api.bigcommerce.com/stores/store_hash/v3/customers/attribute-values \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "attribute_id": 12,
5 "attribute_value": "Preferred Customer",
6 "customer_id": 7890,
7 "id": 345,
8 "date_modified": "2024-04-10T14:22:00Z",
9 "date_created": "2024-01-15T09:30:00Z"
10 }
11 ],
12 "meta": {
13 "pagination": {
14 "total": 1,
15 "count": 1,
16 "per_page": 1,
17 "current_page": 1,
18 "total_pages": 1,
19 "links": {
20 "previous": null,
21 "current": "https://api.bigcommerce.com/stores/abc123/v3/customers/attribute-values?page=1&limit=1",
22 "next": null
23 }
24 }
25 }
26}
Returns a list of Customer Attribute Values. Optional filter parameters can be passed in.
Was this page helpful?
Previous

Delete Customer Address

Next

Upsert Customer Attribute Values

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number. page=1

limitdoubleOptional

Items count per page. limit=50

customer_id:inlist of integersOptional

Filter items by the customer ID. customer_id:in=23,24,55

attribute_id:inlist of integersOptional

Filter items by the attribute ID. attribute_id:in=1,2

namestringOptional

Filter items by the attribute name. name=age

date_createddatetimeOptional

Filter items by date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14.

date_created:maxstringOptional

Filter items by maximum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created before this date.

date_created:mindatetimeOptional

Filter items by minimum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created after this date

date_modifieddatetimeOptional

Filter items by date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14.

date_modified:maxdatetimeOptional

Filter items by maximum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified before this date.

date_modified:minstringOptional

Filter items by minimum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified after this date.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.